# Edit price for listed items

`POST /v1/edit-items`

Array of items

Rate limit of list/edit actions for each item_id is 2 requests per 120 seconds

Note: For Rust items item_id must be a string type, since id is greater than the maximum for number type

Set the price to 0 to remove the item from sale
The number of items per request is limited to 50

Prices are integers. `1000` = `1 USD`.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api` | query | string | required | Your [WAXPEER API](https://waxpeer.com/profile/user) |
| `game` | query | enum | optional | Which game would you like to edit items from |

## Request body

```json
{
  "items": [
    {
      "item_id": 141414144,
      "price": 1000
    }
  ]
}
```

## Example (curl)

```bash
curl -X POST 'https://api.waxpeer.com/v1/edit-items?api=%7B%7BAPI_KEY%7D%7D&game=csgo' \
  -H 'Content-Type: application/json' \
  -d '{
  "items": [
    {
      "item_id": 141414144,
      "price": 1000
    }
  ]
}'
```

## Example response

```json
{
  "success": true,
  "updated": [
    {
      "item_id": "141414144",
      "price": "1000"
    }
  ],
  "failed": [
    {
      "item_id": 141414145,
      "price": 1000,
      "msg": "You can update price after 40 seconds",
      "msBeforeNext": 39636
    }
  ],
  "removed": [
    141414146
  ]
}
```

## Responses

- `200` successful operation

## Notes for agents

- Auth is the query parameter `api`, not an Authorization header.
- See [/statuses.md](/statuses.md) for numeric trade status plus `escrow_status` / `release_date`.
- Prefer GET /v2/search-items-by-name over v1.
- Do not use GET /v1/ready-to-transfer-p2p; use the [trade websocket](/websocket.md).
